Subject: pkg/25134: apache 1.3.29nb2 fails to compile
To: None <>
From: Kimmo Suominen <>
List: pkgsrc-bugs
Date: 04/10/2004 22:05:35
>Number:         25134
>Category:       pkg
>Synopsis:       apache 1.3.29nb2 fails to compile
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Apr 11 02:07:00 UTC 2004
>Originator:     Kimmo Suominen
>Release:        NetBSD 1.6ZG from 2003-12-26, pkgsrc from 2004-04-10
 _   _
| |_(_)_ __
| / / | '  \   Kimmo Suominen
System: NetBSD 1.6ZG NetBSD 1.6ZG (GW-GENERIC) #66: Sun Feb 22 10:04:20 EST 2004 i386
Architecture: i386
Machine: i386

nix:...www/apache> gcc --version
gcc (GCC) 3.3.2 (NetBSD nb1 20031026)
In www/apache/Makefile -lgcc_s is added for all gcc versions 3.*,
but gcc 3.3.2 is installed without libgcc_s on NetBSD 1.6ZG.

gcc -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DNETBSD -DEAPI -DEAPI_MM -O2 -pipe -I/usr/pkg/include `./apaci` -L/usr/pkg/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib  -lgcc_s -Wl,-E  -o httpd buildmark.o modules.o  modules/standard/libstandard.a  main/libmain.a  ./os/unix/libos.a  ap/libap.a    -lcrypt -lmm -lexpat
ld: cannot find -lgcc_s
*** Error code 1
cd /usr/pkgsrc/www/apache